classification
Title: Evalute all import-related modules for best practices
Type: Stage:
Components: Versions:
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: BreamoreBoy, brett.cannon, eric.snow, ncoghlan, raulcd, superluser
Priority: normal Keywords:

Created on 2014-03-25 15:58 by brett.cannon, last changed 2016-09-08 18:04 by brett.cannon. This issue is now closed.

Messages (3)
msg214833 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-03-25 15:58
I'm thinking of:

* pkgutil
* py_compile
* compileall
* modulefinder
* freeze

Should make sure they are (a) doing the right/best thing in the face of importlib/PEP 302/PEP 420/PEP 451, and (b) if they should be integrated into importlib somehow in a non-compatible fashion for future growth and let the old versions slowly wither away.

I'm leaving out runpy as it's not directly import-related, just import-reliant, and zipimport because I don't want to touch its code. =)
msg238953 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-03-22 23:32
Just a gentle reminder as it refers to zipimport and a patch was committed just a few days ago.
msg275091 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-09-08 18:04
No need to keep this issue open as cleaning this stuff up will just come over time or never happen. :)
History
Date User Action Args
2016-09-08 18:04:10brett.cannonsetstatus: open -> closed
resolution: works for me
messages: + msg275091
2015-08-05 15:55:39eric.snowsetnosy: + superluser
2015-04-13 21:38:21raulcdsetnosy: + raulcd
2015-03-23 14:09:20brett.cannonsetassignee: brett.cannon
2015-03-22 23:32:40BreamoreBoysetnosy: + BreamoreBoy
messages: + msg238953
2014-03-25 15:58:58brett.cannoncreate